package logic

import (
	"context"
	"trasfer_middleware/cmd/rpc/internal/svc"
	"trasfer_middleware/cmd/rpc/pb/transfer"
	"trasfer_middleware/until/common"

	"github.com/zeromicro/go-zero/core/logx"
)

type ZltxOrderCardQueryLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewZltxOrderCardQueryLogic(ctx context.Context, svcCtx *svc.ServiceContext) *ZltxOrderCardQueryLogic {
	return &ZltxOrderCardQueryLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

func (l *ZltxOrderCardQueryLogic) ZltxOrderCardQuery(in *transfer.ZltxOrderCardQueryReq) (*transfer.ZltxOrderCardQueryRes, error) {

	res, err := l.svcCtx.ZltxOrder.SetData(common.StructToMap(in)).CardQuery()
	return &transfer.ZltxOrderCardQueryRes{
		Code:       res.Code,
		Message:    res.Message,
		Status:     res.Status,
		OutTradeNo: res.OutTradeNo,
	}, err

}
