package genModel

import "github.com/zeromicro/go-zero/core/stores/sqlx"

var _ ServerMiddleZltxLogsModel = (*customServerMiddleZltxLogsModel)(nil)

type (
	// ServerMiddleZltxLogsModel is an interface to be customized, add more methods here,
	// and implement the added methods in customServerMiddleZltxLogsModel.
	ServerMiddleZltxLogsModel interface {
		serverMiddleZltxLogsModel
		withSession(session sqlx.Session) ServerMiddleZltxLogsModel
	}

	customServerMiddleZltxLogsModel struct {
		*defaultServerMiddleZltxLogsModel
	}
)

// NewServerMiddleZltxLogsModel returns a model for the database table.
func NewServerMiddleZltxLogsModel(conn sqlx.SqlConn) ServerMiddleZltxLogsModel {
	return &customServerMiddleZltxLogsModel{
		defaultServerMiddleZltxLogsModel: newServerMiddleZltxLogsModel(conn),
	}
}

func (m *customServerMiddleZltxLogsModel) withSession(session sqlx.Session) ServerMiddleZltxLogsModel {
	return NewServerMiddleZltxLogsModel(sqlx.NewSqlConnFromSession(session))
}
